import React from "react";
import PropTypes from "prop-types";
import Icon from "./Icon";

const DownloadInvoiceIcon = ({ originalWidth, originalHeight, color, ...props }) => (
    <Icon
        originalHeight={originalHeight}
        originalWidth={originalWidth}
        {...props}
    >
        <path d="M7.42132 13.0627H5.4375C5.18838 13.0627 4.94944 13.1618 4.7735 13.3383C4.59757 13.5147 4.49919 13.754 4.5 14.0032L4.51382 21.1247C4.51382 21.6425 4.93357 22.0622 5.45132 22.0622C5.96907 22.0622 6.38882 21.6425 6.38882 21.1247V18.9624C6.77213 18.9605 7.18163 18.9588 7.42132 18.9588C9.06857 18.9588 10.4088 17.6363 10.4088 16.0107C10.4088 14.3852 9.06857 13.0627 7.42132 13.0627ZM7.42132 17.0838C7.1795 17.0838 6.7685 17.0855 6.38369 17.0875C6.38169 16.6883 6.37994 16.2585 6.37994 16.0107C6.37994 15.7987 6.37888 15.3548 6.37775 14.9377H7.42125C8.02425 14.9377 8.53369 15.429 8.53369 16.0107C8.53369 16.5924 8.02432 17.0838 7.42132 17.0838Z" fill="#2F80ED"/>
        <path d="M15.3956 13.0627H13.4375C13.1886 13.0627 12.9498 13.1617 12.7739 13.3378C12.5981 13.514 12.4995 13.753 12.5 14.0019C12.5 14.002 12.5139 20.8923 12.514 20.9173C12.5149 21.166 12.6146 21.4041 12.7911 21.5793C12.9668 21.7536 13.2041 21.8514 13.4515 21.8514H13.4551C13.5143 21.8512 14.9109 21.8458 15.4693 21.8361C17.5877 21.7991 19.1252 19.9574 19.1252 17.457C19.1251 14.8287 17.6264 13.0627 15.3956 13.0627ZM15.4366 19.9614C15.1938 19.9657 14.776 19.9691 14.3859 19.9716C14.3833 19.1573 14.3781 15.7839 14.3767 14.9377H15.3956C17.1164 14.9377 17.2501 16.866 17.2501 17.4571C17.2501 18.6878 16.6894 19.9395 15.4366 19.9614Z" fill="#2F80ED"/>
        <path d="M25.3039 14.8655C25.8217 14.8655 26.2414 14.4458 26.2414 13.928C26.2414 13.4103 25.8217 12.9905 25.3039 12.9905H22.4375C21.9197 12.9905 21.5 13.4103 21.5 13.928V21.0004C21.5 21.5181 21.9197 21.9379 22.4375 21.9379C22.9553 21.9379 23.375 21.5181 23.375 21.0004V18.3348H25.0763C25.594 18.3348 26.0138 17.915 26.0138 17.3973C26.0138 16.8795 25.594 16.4598 25.0763 16.4598H23.375V14.8655H25.3039Z" fill="#2F80ED"/>
        <path d="M28.0625 9.06265H27.375V8.79521C27.375 7.59009 26.9184 6.44478 26.0893 5.57015L22.1952 1.46259C21.3141 0.533215 20.0742 0.000152588 18.7934 0.000152588H6.3125C4.76169 0.000152588 3.5 1.26184 3.5 2.81265V9.06265H2.8125C1.26169 9.06265 0 10.3243 0 11.8752V23.1252C0 24.676 1.26169 25.9377 2.8125 25.9377H3.5V29.1877C3.5 30.7385 4.76169 32.0002 6.3125 32.0002H24.5625C26.1133 32.0002 27.375 30.7385 27.375 29.1877V25.9377H28.0625C29.6133 25.9377 30.875 24.676 30.875 23.1252V11.8752C30.875 10.3243 29.6133 9.06265 28.0625 9.06265ZM5.375 2.81265C5.375 2.29572 5.79556 1.87515 6.3125 1.87515H18.7934C19.5619 1.87515 20.3058 2.19497 20.8345 2.75265L24.7286 6.86022C25.2261 7.38496 25.5 8.07215 25.5 8.79521V9.06265H5.375V2.81265ZM25.5 29.1877C25.5 29.7046 25.0794 30.1252 24.5625 30.1252H6.3125C5.79556 30.1252 5.375 29.7046 5.375 29.1877V25.9377H25.5V29.1877ZM29 23.1252C29 23.6421 28.5794 24.0627 28.0625 24.0627H2.8125C2.29556 24.0627 1.875 23.6421 1.875 23.1252V11.8752C1.875 11.3582 2.29556 10.9377 2.8125 10.9377H28.0625C28.5794 10.9377 29 11.3582 29 11.8752V23.1252Z" fill="#2F80ED"/>
    </Icon>
);

DownloadInvoiceIcon.defaultProps = {
    originalWidth: 32,
    originalHeight: 32,
};

DownloadInvoiceIcon.propTypes = {
    originalHeight: PropTypes.number,
    originalWidth: PropTypes.number,
};

export default DownloadInvoiceIcon;
